子钦加油

扩大
缩小

python升级带来的yum异常(解决错误File "/usr/bin/yum", line 30 except KeyboardInterrupt, e:)

解决错误File "/usr/bin/yum", line 30 except KeyboardInterrupt, e:

错误:

 

 

 

原因:

这是因为yum采用python作为命令解释器,原来系统自带的python解释器为python2.7,然后我之前为了方便将python默认的解释器设为了python3.6,导致按python3.6解析2.7的语法出错了。

解决方法:

修改/usr/bin/yum文件中的第一行为#!/usr/bin/python2.7

 

 

 

可能你的系统不是2.7,通过tab键补全python命令就可以看到你有哪些python版本,选一个低版本的就好。

 

 

 

修改之后就可以正常使用yum了。

 

作者:子钦加油
出处:https://www.cnblogs.com/zmdComeOn/
个性签名:努力生活,努力走路
阿里云拼团:https://www.aliyun.com/1111/home?userCode=f4ee1llo1核2G1M,86一年,229三年;2核4G5M,799三年;2核8G5M,1399三年
腾讯云三月采购计划特价:https://cloud.tencent.com/act/cps/redirect?redirect=1073&cps_key=15d0b1673287c43fe946626d9f4e2eee&from=console1核2G1M,88一年;1核2G1M,268三年;2核4G5M,998一年;4核8G5M,2888元三年
如果,想给予我更多的鼓励,求打

posted on 2019-10-20 19:23  子钦加油  阅读(577)  评论(0编辑  收藏  举报

导航

返回顶部